PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List forms GETCreate a form POSTGenerate a form definition POSTGet a form GETUpdate a form PATCHDelete a form DELETEList submissions for a form GETSubmit a form as a member POSTGet a form submission GETUpdate a form submission PATCHDelete a form submission DELETE
Forms

Generate a form definition

POST
/forms/generate

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/forms/generate" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string"  }'
{  "data": {    "fields": {      "sections": [        {          "id": "string",          "title": "string",          "description": "string",          "fields": [            {              "id": "string",              "slug": "string",              "type": "string",              "label": "string",              "required": true,              "placeholder": "string",              "helperText": "string",              "options": [                {                  "value": "string",                  "label": "string",                  "reveals": {}                }              ],              "defaultValue": "string",              "description": "string"            }          ]        }      ]    },    "form": {      "id": "string",      "workspaceId": "string",      "name": "string",      "slug": "string",      "publicSlug": "string",      "status": "DRAFT",      "description": "string",      "fields": {        "sections": [          {            "id": "string",            "title": "string",            "description": "string",            "fields": [              {                "id": "string",                "slug": "string",                "type": "string",                "label": "string",                "required": true,                "placeholder": "string",                "helperText": "string",                "options": [                  {                    "value": "string",                    "label": "string",                    "reveals": {}                  }                ],                "defaultValue": "string",                "description": "string"              }            ]          }        ]      },      "settings": {},      "showInCommunity": true,      "submissionCount": 0    }  }}

Create a form POST

Previous Page

Get a form GET

Next Page

prompt*string
create?boolean
name?string